Opened 2 years ago

Closed 2 years ago

Last modified 15 months ago

#286 closed defect (invalid)

2.0.1 crashing under Fedora 17 / php 5.4.5

Reported by: jim_at_miramontes Owned by: moo
Priority: major Milestone: black hole
Component: cacher Version: 2.0.1
Keywords: Cc: jmiller@…
Application: PHP Version: 5.4.5
Other Exts: SAPI: Irrelevant
Probability: Always Blocked By:
Blocking:

Description

Like it says. php -v returns:

PHP 5.4.5 (cli) (built: Jul 20 2012 10:17:30)
Copyright (c) 1997-2012 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2012 Zend Technologies

with XCache v2.0.1, Copyright (c) 2005-2012, by mOo

Page requests for anything, including phpinfo() return something like:

[Fri Aug 10 08:19:02 2012] [notice] child pid 14375 exit signal Segmentation fault (11)

I'm working on getting a backtrace, but thought I'd file this first in case it was a known issue. Any thoughts? Thanks!

Change History (4)

comment:1 Changed 2 years ago by moo

it is strange. if you're using separate ini for cli from webpage-php, i guess you're using more zend_extension than just XCache. please load XCache using zend_extension=...../xcache.so before any other zend_extension=* prior XCache 3.0

comment:2 Changed 2 years ago by jim_at_miramontes

Hmm -- I thought I filed an update on this a few minutes ago. Anyway: My bad -- the problem was [blush] somewhere else. It's been corrected, and I can happily confirm that xcache is running on Fedora 17 / php 5.4.5. Thanks much for doing this, and apologies for cluttering up the ticket system...

comment:3 Changed 2 years ago by moo

  • Resolution set to invalid
  • Status changed from new to closed

no problem. good to know XCache is still healthy in your case

comment:4 Changed 15 months ago by moo

  • Milestone changed from undecided to black hole
Note: See TracTickets for help on using tickets.